<%@ Page Language="c#" Inherits="Web.Wpdcc.Upload" CodeBehind="Upload.aspx.cs" %>

<!DOCTYPE html>
<!--[if lt IE 9]><html class="lte-ie8"><![endif]-->
<!--[if gt IE 8]><!-->
<html>
<!--<![endif]-->
<head>
    <title>Upload</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
</head>
<body>
    <form id="myform" name="myform" method="post" enctype="multipart/form-data" runat="server">
    <asp:FileUpload ID="uploadfile" runat="server" />
    <input id="isSynch" type="hidden" name="sType" runat="server" />
    <input id="sType" type="hidden" name="sType" runat="server" />
    <input id="sAllowExt" type="hidden" name="sAllowExt" runat="server" />
    <input id="nAllowSize" type="hidden" name="nAllowSize" runat="server" />
    <input id="watermarkUseMode" type="hidden" runat="server" />
    </form>
    <script type="text/javascript" language="javascript">
 
    // 检测上传表单
    try {
            document.all.watermarkUseMode.value=dialogArguments.document.all.watermarkUseMode.checked?1:0;
        }
    catch(e){ }
    
    function CheckUploadForm() {
	    if (!IsExt(document.myform.uploadfile.value,document.myform.sAllowExt.value)){
		    parent.UploadError("提示：\n\n请选择一个有效的文件，\n支持的格式有（"+document.myform.sAllowExt.value+"）！");
		    return false;
	    }
	    return true;
    }
    
    try {
	    parent.UploadLoaded();
    }
    catch(e){
    }

    </script>
</body>
</html>
